=== debian/changelog ===
chemps2 (1.5-2) unstable; urgency=low

  [ Sebastian Wouters ]
  * Fix difference DEB_HOST_GNU_TYPE and DEB_HOST_MULTIARCH
    on i386 (Closes: #792047)
  * Fix library dependency BLAS for kFreeBSD (Closes: #792051)
  * Fix date issues changelog (Closes: #795138)
  * Fix build-depends python-support (Closes: #796065)

  [ Graham Inggs ]
  * Update libchemps2-1.symbols for cxx11

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sat, 22 Aug 2015 19:53:36 +0200

chemps2 (1.5-1) unstable; urgency=low

  * Initial release (Closes: #771112)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Sun, 14 Jun 2015 13:17:33 -0400
