=== debian/control ===
Source: chemps2
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Sebastian Wouters <sebastianwouters@gmail.com>,
           Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9),
               cmake (>= 2.8.11),
               libatlas-base-dev,
               libgsl0-dev,
               libhdf5-dev,
               dh-python,
               python-all (>= 2.7),
               python-setuptools,
               python-docutils,
               python-sphinx (>= 1.1),
               cython (>= 0.19),
               python-numpy,
               libpython-dev,
               libjs-mathjax
Standards-Version: 3.9.5
Homepage: http://sebwouters.github.io/CheMPS2/index.html
Vcs-Git: git://anonscm.debian.org/debichem/packages/chemps2.git
Vcs-Browser: http://anonscm.debian.org/cgit/debichem/packages/chemps2.git

Package: libchemps2-1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: chemps2-doc
Description: Spin-adapted DMRG for ab initio quantum chemistry
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This method allows one to obtain
 numerical accuracy in active spaces beyond the capabilities of
 full configuration interaction (FCI): up to 40 electrons in 40
 orbitals for general active spaces; and up to 100 electrons in
 100 orbitals for one-dimensional active spaces, such as the
 pi-system of all-trans polyenes.
 .
 For an input Hamiltonian and targeted symmetry sector, the library
 performs successive DMRG sweeps according to a user-defined
 convergence scheme. As output, the library returns the minimal
 encountered energy as well as the second order reduced density
 matrix (2-RDM) of the active space. With the latter, various
 molecular properties can be calculated, as well as the gradient and
 Hessian for orbital rotations or nuclear displacements. In addition,
 several correlation functions can be obtained to investigate the
 electronic structure in the active space.
 .
 This version of chemps2 is parallelized for shared memory
 architectures with OpenMP.

Package: libchemps2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-1 (= ${binary:Version})
Suggests: chemps2-doc
Description: C++ headers, static library, and symlink for libchemps2-1
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This method allows one to obtain
 numerical accuracy in active spaces beyond the capabilities of
 full configuration interaction (FCI).
 .
 For an input Hamiltonian and targeted symmetry sector, the library
 performs successive DMRG sweeps according to a user-defined
 convergence scheme. As output, the library returns the minimal
 encountered energy as well as the second order reduced density
 matrix (2-RDM) of the active space. With the latter, various
 molecular properties can be calculated, as well as the gradient and
 Hessian for orbital rotations or nuclear displacements. In addition,
 several correlation functions can be obtained to investigate the
 electronic structure in the active space.
 .
 This package installs the C++ headers, static library, and symlink
 for libchemps2.

Package: chemps2-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Documentation of the libchemps2-1 package
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This method allows one to obtain
 numerical accuracy in active spaces beyond the capabilities of
 full configuration interaction (FCI).
 .
 For an input Hamiltonian and targeted symmetry sector, the library
 performs successive DMRG sweeps according to a user-defined
 convergence scheme. As output, the library returns the minimal
 encountered energy as well as the second order reduced density
 matrix (2-RDM) of the active space. With the latter, various
 molecular properties can be calculated, as well as the gradient and
 Hessian for orbital rotations or nuclear displacements. In addition,
 several correlation functions can be obtained to investigate the
 electronic structure in the active space.
 .
 This is the common documentation package.

Package: python-chemps2
Section: python
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libchemps2-1 (= ${binary:Version})
Suggests: chemps2-doc
Description: Python 2 interface for libchemps2-1
 chemps2 is a scientific library which contains a spin-adapted
 implementation of the density matrix renormalization group (DMRG)
 for ab initio quantum chemistry. This method allows one to obtain
 numerical accuracy in active spaces beyond the capabilities of
 full configuration interaction (FCI).
 .
 For an input Hamiltonian and targeted symmetry sector, the library
 performs successive DMRG sweeps according to a user-defined
 convergence scheme. As output, the library returns the minimal
 encountered energy as well as the second order reduced density
 matrix (2-RDM) of the active space. With the latter, various
 molecular properties can be calculated, as well as the gradient and
 Hessian for orbital rotations or nuclear displacements. In addition,
 several correlation functions can be obtained to investigate the
 electronic structure in the active space.
 .
 This package installs the library for Python 2.
