=== debian/watch ===
version=3
https://github.com/SebWouters/CheMPS2/tags .*/archive/(v\d\S*)\.tar\.gz
