=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,11 @@
 
 file (MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/tests/tests)
 
-set (TESTLIST "test1" "test2" "test3" "test4" "test5" "test6" "test7" "test8" "test9" "test10")
+if (WITH_MPI)
+    set (TESTLIST "test1" "test2" "test3" "test4" "test5" "test7" "test10")
+else (WITH_MPI)
+    set (TESTLIST "test1" "test2" "test3" "test4" "test5" "test6" "test7" "test8" "test9" "test10")
+endif (WITH_MPI)
 
 foreach (ITEM ${TESTLIST})
     configure_file (${CMAKE_SOURCE_DIR}/tests/${ITEM}.cpp.in ${CMAKE_BINARY_DIR}/tests/tests/${ITEM}.cpp)
