=== debian/changelog ===
chemps2 (1.6-1build1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1493843)

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 01 Nov 2015 14:32:38 -0600

chemps2 (1.6-1build1) wily; urgency=medium

  * No-change rebuild for hdf5 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 12:21:37 +0000

chemps2 (1.6-1) unstable; urgency=low

  * Upstream release v1.6
  * debian/control: Standards-Version 3.9.6
  * Package: chemps2 (executable)
  * Fix lintian warnings jquery.js and underscore.js
  * Fix watch file (Closes: #795789)
  * Update libchemps2-1.symbols for cxx11 (new symbols v1.6)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Fri, 28 Aug 2015 10:10:14 -0400
