=== debian/control ===
--- 
+++ 
@@ -17,8 +17,10 @@
                cython (>= 0.19),
                python-numpy,
                libpython-dev,
-               libjs-mathjax
-Standards-Version: 3.9.5
+               libjs-mathjax,
+               libjs-jquery,
+               libjs-underscore
+Standards-Version: 3.9.6
 Homepage: http://sebwouters.github.io/CheMPS2/index.html
 Vcs-Git: git://anonscm.debian.org/debichem/packages/chemps2.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debichem/packages/chemps2.git
@@ -102,6 +104,34 @@
  .
  This is the common documentation package.
 
+Package: chemps2
+Section: science
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libchemps2-1 (= ${binary:Version})
+Suggests: chemps2-doc
+Description: Executable to call libchemps2-1 from the command line
+ chemps2 is a scientific library which contains a spin-adapted
+ implementation of the density matrix renormalization group (DMRG)
+ for ab initio quantum chemistry. This method allows one to obtain
+ numerical accuracy in active spaces beyond the capabilities of
+ full configuration interaction (FCI).
+ .
+ For an input Hamiltonian and targeted symmetry sector, the library
+ performs successive DMRG sweeps according to a user-defined
+ convergence scheme. As output, the library returns the minimal
+ encountered energy as well as the second order reduced density
+ matrix (2-RDM) of the active space. With the latter, various
+ molecular properties can be calculated, as well as the gradient and
+ Hessian for orbital rotations or nuclear displacements. In addition,
+ several correlation functions can be obtained to investigate the
+ electronic structure in the active space.
+ .
+ This package installs the executable which parses Hamiltonians in
+ fcidump format, performs DMRG sweeps according to a user-defined
+ convergence scheme, and writes the 2-RDM as output.
+
 Package: python-chemps2
 Section: python
 Architecture: any
