=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+# export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 # Cfr. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773266
@@ -27,6 +27,10 @@
                                                            -D mathjax_path="/usr/share/javascript/mathjax/MathJax.js" sphinx/ build-sphinx/html
 	# I know it's ugly, but sphinx splits strings at equality signs: http://svn.python.org/projects/doctools/trunk/sphinx/cmdline.py
 	cd build-sphinx/html && sed -i "s/MathJax.js/MathJax.js?config=TeX-AMS-MML_HTMLorMML/" *.html
+	# Solving the complaints from lintian about jquery.js & underscore.js
+	cd build-sphinx/html && sed -i "s/_static\/jquery.js/\/usr\/share\/javascript\/jquery\/jquery.js/" *.html
+	cd build-sphinx/html && sed -i "s/_static\/underscore.js/\/usr\/share\/javascript\/underscore\/underscore.js/" *.html
+	cd build-sphinx/html/_static && rm jquery*.js underscore*.js
 	cd PyCheMPS2 && CPATH=../CheMPS2/include:/usr/include/hdf5/serial python2 setup.py build_ext -L ../obj-${DEB_HOST_GNU_TYPE}/CheMPS2
 
 override_dh_auto_install:
@@ -50,6 +54,12 @@
 	echo "DEB_BUILD_OPTIONS contains nocheck: no tests will be performed."
 endif
 
+override_dh_installman:
+	dh_installman chemps2.1
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k CHANGELOG.md
+
 override_dh_clean:
 	dh_clean
 	rm -rf build-sphinx PyCheMPS2/build PyCheMPS2/PyCheMPS2.cpp PyCheMPS2/*.pyc
