=== debian/watch ===
version=3
https://github.com/SebWouters/CheMPS2/releases .*/archive/v([\d.]+)\.tar\.gz
