## chemps2 1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 project (CheMPS2)
-set (CheMPS2_VERSION      "1.6")
+set (CheMPS2_VERSION      "1.7 (2016-05-24)")
 set (CheMPS2_AUTHORS      "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION  "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
 set (CheMPS2_EMAIL        "sebastianwouters@gmail.com")
 set (CheMPS2_URL          "https://github.com/SebWouters/CheMPS2")
 set (CheMPS2_LICENSE      "GNU General Public License, version 2")
-set (CheMPS2_LIB_SOVERSION 1)
+set (CheMPS2_LIB_SOVERSION 2)
 
 include (GNUInstallDirs)
 cmake_minimum_required (VERSION 2.8.11)
@@ -70,6 +70,8 @@
     add_definitions (-DCHEMPS2_MPI_COMPILATION)
 endif (WITH_MPI)
 
+add_definitions(-DCHEMPS2_VERSION="${CheMPS2_VERSION}")
+
 if (LAPACK_LIBRARIES)
     message(STATUS "LAPACK detection suppressed. Using: ${LAPACK_LIBRARIES}")
 else (LAPACK_LIBRARIES)
@@ -81,12 +83,6 @@
 else (HDF5_LIBRARIES AND HDF5_INCLUDE_DIRS)
     find_package (HDF5 REQUIRED)
 endif (HDF5_LIBRARIES AND HDF5_INCLUDE_DIRS)
-
-if (GSL_LIBRARIES)
-    message(STATUS "GSL detection suppressed. Using: ${GSL_LIBRARIES}")
-else (GSL_LIBRARIES)
-    find_package (GSL REQUIRED)
-endif (GSL_LIBRARIES)
 
 enable_testing ()
 add_subdirectory (CheMPS2)
