=== debian/changelog ===
chemps2 (1.7-1) unstable; urgency=medium

   * Upstream release v1.7
   * Bump SO version to libchemps2.so.2
   * Package no longer depends on GSL
   * Update symbols file
   * New package description for added features
   * Bump Standards-Version to 3.9.8
   * Fix unsafe Vcs-* URI

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Wed, 25 May 2016 10:03:11 +0200

chemps2 (1.6-3) unstable; urgency=medium

  * Fix overwriting chemps2.1.gz (manpage moved from libchemps2-1
    to chemps2) (Closes: #808312)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Wed, 23 Dec 2015 21:31:16 +0100

chemps2 (1.6-2) unstable; urgency=medium

  [ Sebastian Wouters ]
  * Fix lintian warning manpage (moved from libchemps2-1 to chemps2 package)

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev (Closes: #807189)

 -- Graham Inggs <ginggs@debian.org>  Wed, 16 Dec 2015 08:29:20 +0200
