## chemps2 1.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project (CheMPS2)
-set (CheMPS2_VERSION      "1.7 (2016-05-24)")
+set (CheMPS2_VERSION      "1.7.3 (2016-07-14)")
 set (CheMPS2_AUTHORS      "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION  "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
 set (CheMPS2_EMAIL        "sebastianwouters@gmail.com")
@@ -14,12 +14,17 @@
 option (BUILD_DOXYGEN        "Use Doxygen to create a HTML/PDF manual" OFF)
 option (BUILD_SPHINX         "Build the user manual with Sphinx"       OFF)
 option (STATIC_ONLY          "Compile only the static library"         OFF)
+option (SHARED_ONLY          "Compile only the shared library"         OFF)
 option (ENABLE_TESTS         "Compile the tests"                       ON)
 option (ENABLE_XHOST         "Enable processor-specific optimizations" ON)
 option (ENABLE_GENERIC       "Enable mostly static linking in shared library" OFF)
 option (WITH_MPI             "Build the library with MPI"              OFF)
 
 set (CMAKE_VERBOSE_MAKEFILE OFF)
+
+if (STATIC_ONLY AND SHARED_ONLY)
+    message (FATAL_ERROR "The options STATIC_ONLY=ON and SHARED_ONLY=ON are conflicting." )
+endif (STATIC_ONLY AND SHARED_ONLY)
 
 find_package (OpenMP)
 if (OPENMP_FOUND)
