=== CheMPS2/CMakeLists.txt ===
--- 
+++ 
@@ -66,28 +66,32 @@
 if (NOT STATIC_ONLY)
     set_target_properties (chemps2-base PROPERTIES POSITION_INDEPENDENT_CODE 1)
     add_library (chemps2-shared SHARED $<TARGET_OBJECTS:chemps2-base>)
-    target_link_libraries (chemps2-shared ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
+    target_link_libraries (chemps2-shared ${LIBC_INTERJECT} ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
     set_target_properties (chemps2-shared PROPERTIES SOVERSION ${CheMPS2_LIB_SOVERSION} CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "chemps2")
 endif (NOT STATIC_ONLY)
 
-add_library (chemps2-static STATIC $<TARGET_OBJECTS:chemps2-base>)
-target_link_libraries (chemps2-static ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
-set_target_properties (chemps2-static PROPERTIES CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "chemps2")
+if (NOT SHARED_ONLY)
+    add_library (chemps2-static STATIC $<TARGET_OBJECTS:chemps2-base>)
+    target_link_libraries (chemps2-static ${LIBC_INTERJECT} ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
+    set_target_properties (chemps2-static PROPERTIES CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "chemps2")
+endif (NOT SHARED_ONLY)
 
 if (NOT STATIC_ONLY)
     install (TARGETS chemps2-shared DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
 endif (NOT STATIC_ONLY)
-install (TARGETS chemps2-static DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
+if (NOT SHARED_ONLY)
+    install (TARGETS chemps2-static DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
+endif (NOT SHARED_ONLY)
 install (DIRECTORY include/chemps2/ DESTINATION include/chemps2 FILES_MATCHING PATTERN "*.h")
 
 link_directories (${CMAKE_BINARY_DIR}/CheMPS2)
 add_executable (chemps2bin executable.cpp)
 if (STATIC_ONLY)
     add_dependencies (chemps2bin chemps2-static)
-    target_link_libraries (chemps2bin chemps2 ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
+    target_link_libraries (chemps2bin chemps2 ${LIBC_INTERJECT} ${LAPACK_LIBRARIES} ${HDF5_LIBRARIES})
 else (STATIC_ONLY)
     add_dependencies (chemps2bin chemps2-shared)
-    target_link_libraries (chemps2bin chemps2)
+    target_link_libraries (chemps2bin ${LIBC_INTERJECT} chemps2)
 endif (STATIC_ONLY)
 set_target_properties (chemps2bin PROPERTIES OUTPUT_NAME "chemps2")
