=== debian/changelog ===
chemps2 (1.7.3-1) unstable; urgency=low

   * Upstream release v1.7.1 for psi4
   * Upstream release v1.7.2 for DMRG workshop
   * Upstream release v1.7.3 with new documentation
   * Linear Davidson solver for CASPT2
   * Global Fiedler reordering allowed
   * Use libblas-dev and liblapack-dev i.o. libatlas-base-dev

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Tue, 26 Jul 2016 11:41:29 +0200
