=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
            Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake (>= 2.8.11),
-               libatlas-base-dev,
+               libblas-dev,
+               liblapack-dev,
                libhdf5-dev,
                dh-python,
                python-all (>= 2.7),
