## chemps2 1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project (CheMPS2)
-set (CheMPS2_VERSION      "1.7.3 (2016-07-14)")
+set (CheMPS2_VERSION      "1.8 (2016-08-24)")
 set (CheMPS2_AUTHORS      "Sebastian Wouters")
 set (CheMPS2_DESCRIPTION  "A spin-adapted implementation of DMRG for ab initio quantum chemistry")
 set (CheMPS2_EMAIL        "sebastianwouters@gmail.com")
@@ -44,7 +44,11 @@
     endif ()
 endif (ENABLE_XHOST)
 
-set (CMAKE_CXX_FLAGS "-g -O3 ${CMAKE_CXX_FLAGS}")
+IF (CMAKE_BUILD_TYPE MATCHES DEBUG)
+    set (CMAKE_CXX_FLAGS "-g -O3 ${CMAKE_CXX_FLAGS}")
+ELSE (CMAKE_BUILD_TYPE MATCHES DEBUG)
+    set (CMAKE_CXX_FLAGS "-O3 ${CMAKE_CXX_FLAGS}")
+ENDIF (CMAKE_BUILD_TYPE MATCHES DEBUG)
 
 check_cxx_compiler_flag (-ipo HAS_IPO)
 if (HAS_IPO)
