=== debian/changelog ===
chemps2 (1.8-2) unstable; urgency=medium

   * Fix overwriting chemps2.1.gz libchemps2-1 (Closes: #808312)

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Thu, 08 Sep 2016 21:58:29 +0200

chemps2 (1.8-1) unstable; urgency=medium

   * LTS release upstream
   * Bug fix linear Davidson algo (CASPT2)
   * Bug fix MPI in executable.cpp
   * MOLCAS interface

 -- Sebastian Wouters <sebastianwouters@gmail.com>  Wed, 24 Aug 2016 10:30:29 +0200
